"""new employee data

Revision ID: f620da5b7e8c
Revises: 4b331743953d
Create Date: 2017-10-15 10:05:38.355000

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f620da5b7e8c'
down_revision = '4b331743953d'
branch_labels = None
depends_on = None

first_agent_version = '17.10.18'


def upgrade():
    with op.batch_alter_table('employees') as batch_op:
        batch_op.add_column(sa.Column('birthday', sa.String(length=10), nullable=True))
        batch_op.add_column(sa.Column('email', sa.String(length=128), nullable=True))
        batch_op.add_column(sa.Column('middle_name', sa.String(length=128), nullable=True))
        batch_op.add_column(sa.Column('payroll_id', sa.String(length=128), nullable=True))
        batch_op.add_column(sa.Column('phone', sa.String(length=16), nullable=True))


def downgrade():

    with op.batch_alter_table('employees') as batch_op:
        batch_op.drop_column('birthday')
        batch_op.drop_column('middle_name')
        batch_op.drop_column('phone')
        batch_op.drop_column('payroll_id')
        batch_op.drop_column('email')
